[rust-dev] Deprecating rustpkg

Strahinja Markovic val at markovic.io
Fri Jan 31 10:12:14 PST 2014


On Fri Jan 31 2014 at 10:01:32 AM, Tony Arcieri <bascule at gmail.com> wrote:

> Or can you find a solution where both lib A and lib B are happy with one
> particular version of lib C?
>

You often cannot find one version that satisfies everyone. I've explained
the reasons why in my previous email.


> At what point can you pick one version of lib C as opposed to two or three
> or more?
>
> For that matter, how do you even resolve dependencies in this sort of
> world? What algorithm do you use?
>

You depend on the latest version of a lib or on a specific, explicit
version. People who don't care about the old version use the latest, and
people who need the old lib version because they haven't updated use that.


> I also don't think this comes up in practice as you allege.
>

This gave me a good, long chuckle (honestly, I mean no offense). Thank you,
I needed that. My day is already better.

If only I lived in a world where this issue "doesn't come up in practice"...


>
> --
> Tony Arcieri
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.mozilla.org/pipermail/rust-dev/attachments/20140131/5cdc1a42/attachment.html>


More information about the Rust-dev mailing list